class Ey::Logger::MachineParser
  def self.parse(line)
    tag, data = line.match(/\A\[(\S+)\]\s+(\{.*\})\z/).captures
    new(tag, JSON.load(data))
  end

  attr_reader :tag, :data

  def initialize(tag, data)
    @tag, @data = tag, data
  end
end
